import pandas as pd

def _get_base_styles():
    """Returns the default CSS styles for the dataframe view."""
    return [
        dict(selector="th", props=[
            ("font-size", "100%"),
            ("text-align", "center"),
            ("padding-right", "5px"),
            ("padding-left", "5px"),
            ("border-right", "groove"),
            ("border-color", "rgba(200,200,200,0.1)")
        ]),
        dict(selector="td", props=[
            ("padding-right", "3px"),
            ("padding-left", "3px"),
            ("border-right", "groove"),
            ("border-color", "rgba(200,200,200,0.1)")
        ]),
        dict(selector="caption", props=[
            ("caption-side", "bottom"),
            ("text-align", "center"),
        ]),
        dict(selector=".btm_caption", props=[
            ("text-align", "left"),
            ("padding-left", "5px"),
            ("padding-top", "7px"),
            ("min-width", "220px"),
        ]),
        dict(selector="td", props=[("display", "table-cell")]),
        dict(selector="col_heading.fa", props=[("margin-right", "10px")]),
        dict(selector="p.dtype", props=[
            ("text-align", "center"),
            ("color", "rgba(50,50,255,0.6)"),
            ("user-select", "none"),
            ("margin-bottom", "0px"),
            ("font-size", "9px")
        ]),
        dict(selector="th.col0", props=[
            ("border-right", "groove"),
            ("border-color", "rgba(200,200,200,0.5)"),
            ("color", "green")
        ]),
        dict(selector=".data.col0", props=[("font-weight", "bold")]),
        dict(selector=".col_i", props=[("display", "none")]),
        dict(selector='tr:hover', props=[('background-color', 'rgb(225,240,255, 0.1)')])
    ]


def quick_css():
    return """
    <style type="text/css">
    .btn_a {
        color: #fff !important;
        text-transform: uppercase;
        text-decoration: none;
        background: rgba(50,50,50,0.57);
        padding: 3px;
        border-radius: 3px;
        display: inline-block;
        border: none;
        transition: all 0.4s ease 0s;
    }
    .btn_a:hover {
        background: #434343;
        letter-spacing: 1px;
        text-decoration: none;
        -webkit-box-shadow: 0px 5px 40px -10px rgba(0,0,0,0.57);
        -moz-box-shadow: 0px 5px 40px -10px rgba(0,0,0,0.57);
        box-shadow: 5px 40px -10px rgba(0,0,0,0.57);
        transition: all 0.4s ease 0s;
    }
    </style>
    """

